summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-php-3
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-06-25 09:19:06 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:14:57 +0200
commit4178dd4a281d3fa1f7dd1365baf5501fd99cbd99 (patch)
tree00fa638936266d5ae0bf76a96a2241ef044b40cb /gettext-tools/tests/xgettext-php-3
parent4a984d135fd517a242bab1de1dd183c7687733af (diff)
downloadexternal_gettext-4178dd4a281d3fa1f7dd1365baf5501fd99cbd99.zip
external_gettext-4178dd4a281d3fa1f7dd1365baf5501fd99cbd99.tar.gz
external_gettext-4178dd4a281d3fa1f7dd1365baf5501fd99cbd99.tar.bz2
Tests for extracted comments.
Diffstat (limited to 'gettext-tools/tests/xgettext-php-3')
-rwxr-xr-xgettext-tools/tests/xgettext-php-344
1 files changed, 44 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-php-3 b/gettext-tools/tests/xgettext-php-3
new file mode 100755
index 0000000..fb5fdb0
--- /dev/null
+++ b/gettext-tools/tests/xgettext-php-3
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Test PHP support: --add-comments option.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-ph-3.php"
+cat <<\EOF > xg-ph-3.php
+<?
+/* a */
+/* b */ string = /* c */
+/* d */
+/* e */ _( /* f */ "hello world" /* g */ );
+?>
+EOF
+
+tmpfiles="$tmpfiles xg-ph-3.tmp.po xg-ph-3.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --add-comments --omit-header --no-location --keyword=_ \
+ -d xg-ph-3.tmp xg-ph-3.php
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-ph-3.tmp.po > xg-ph-3.po
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-ph-3.ok"
+cat <<EOF > xg-ph-3.ok
+#. a
+#. b
+#. c
+#. d
+#. e
+#. f
+msgid "hello world"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-ph-3.ok xg-ph-3.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result